import ConfigManager from '../libs/configManager.js';
import __path from './path.js';
import _ from 'lodash';

// Create a new config instance.
const config = new ConfigManager(__path + '/config.json', true, {
//	db_connection_string: 'mysql://USER:PASSWORD@HOST:3306/DATABASE',
	http: {
		listen_address: '0.0.0.0',
		port: 3000,
		domain: 'example.org',
		enable_hsts: false,
		enable_csp: false
	},
	mysql: {
		host: '',
		port: 3306,
		user: '',
		password: '',
		database: 'hydrationhub'
	},
	devmode: false,
	devmode_fileupload: false
});//, log.core); // Disabled due to Cyclic dependencies with log handler (specifically-> devmode for loglevel)




export default config;
